﻿using GTPCorrgir;
using System;
using System.Configuration;
using System.Windows;


namespace GTPCorrgir
{

    public class Opciones
    {
        public enum LLM_a_Usar
        {
            OpenAI,
            Ollama,
            Groq
        }
        public enum modoDeUso
        {
            Corregir,
            Ortografia,
            Chat,
        }

        public Dictionary<LLM_a_Usar, string> nombreLLM = new Dictionary<LLM_a_Usar, string>
        {
        { Opciones.LLM_a_Usar.Ollama, "Ollama" },
        { Opciones.LLM_a_Usar.Groq, "Groq" },
        { Opciones.LLM_a_Usar.OpenAI, "OpenAI" },        
 
        };

        private static Opciones _instance;
        
        public static Opciones Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new Opciones();
                    _instance.LLM = LLM_a_Usar.OpenAI;
                    _instance.modo = modoDeUso.Corregir;
                }
                return _instance;
            }
        }

        public LLM_a_Usar LLM { get; set; }
        public modoDeUso modo { get; set; }

        public string nombreDeLLM() {
            return nombreLLM[LLM];
        }

        private Opciones() { }
    }

    
    public class Program
    {
        [STAThread]
        public static void Main(string[] args)
        {
            var application = new App();

            // Aquí puedes procesar los argumentos

            foreach (var arg in args)
            {
                if (arg.StartsWith("--"))
                {
                    // Procesa el argumento según tus necesidades
                    if (arg.StartsWith("--Ollama"))
                        Opciones.Instance.LLM = Opciones.LLM_a_Usar.Ollama;
                    else if (arg.StartsWith("--Groq"))
                        Opciones.Instance.LLM = Opciones.LLM_a_Usar.Groq;
                    else if (arg.StartsWith("--Chat"))
                        Opciones.Instance.modo = Opciones.modoDeUso.Chat;
                    else if (arg.StartsWith("--Ortografia"))
                        Opciones.Instance.modo = Opciones.modoDeUso.Ortografia;

                }
            }

            application.Run();
        }
    }
}



